
%define	name elmdentica
%define version 20101225
%define release %mkrel 2

Summary:	A simple Identi.ca client with Elementary UI
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Graphical desktop/Enlightenment
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.enlightenment.org/
Source:		%{name}-%version.tar.xz
# Common
BuildRequires:	libjson-devel
# Enlightenment BR
BuildRequires:	eina-devel
BuildRequires: 	eet-devel
BuildRequires:  evas-devel
BuildRequires:	ecore-devel
BuildRequires:	efreet-devel
BuildRequires:	embryo-devel
BuildRequires:	edje-devel
BuildRequires:	emotion-devel
BuildRequires:	e_dbus-devel
BuildRequires:	azy-devel
BuildRequires:  git

%description
A simple Identi.ca client with Elementary UI


%prep
%setup -q

%build
./autogen.sh
%configure2_5x --disable-static
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

#menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Internet" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README
%_bindir/elmdentica
%_datadir/applications/elmdentica.desktop
%_datadir/locale/*/LC_MESSAGES/elmdentica.mo
%_datadir/pixmaps/elmdentica.png
%_datadir/elmdentica/themes/default.edj

%changelog
* Sat Feb 26 2011 Texstar <texstar at gmail.com> 20111225-2pclos2011
- rebuild

* Sat Dec 25 2010 Texstar <texstar at gmail.com> 20101225-1pclos2010
- update svn

* Wed Dec 15 2010 Texstar <texstar at gmail.com> 20101215-1pclos2010
- update svn 55246


